For the complete documentation index, see llms.txt. This page is also available as Markdown.

Webhook Configuration

Configure your webhook using this endpoint

Easily configure your webhook URL, and authorisation token using this endpoint. Alternatively, webhooks can also be setup within the Dev Space of the platform.

Personr supports one webhook endpoint per account/workspace. All requests will be sent to the endpoint provided.

This endpoint can only be used by users with the Administrator role.

Setup a webhook

POST /api-webhook-configuration

Headers

Name
Value

Content-Type

multipart/form-data

Authorization

Bearer YOUR_TOKEN

Body

Name
Type
Description

webhookUrl

string

The endpoint you'd like requests posted to (Required)

generateToken

boolean

Generate a bearer token that can be sent within the header of each request (Required)

headerToken

boolean

Send the bearer token in the header of each request (Required)

Request

curl --location 'https://enterprise.personr.co/api/1.1/wf/api-webhook-configuration' \
--form 'webhookUrl="https://your-webhook-endpoint.com/abc"' \
--form 'generateToken="true"' \
--form 'headerToken="true"'

Response

Within the response, you'll receive the webhook endpoint you provided as confirmation, the bearer token that will be sent in the header of each request, and a boolean to confirm whether the token will be sent within the header.

If you choose not to generate a token within the request, the token in the response will be one of the following:

  • The current (previously generated) token in use

  • If no token has ever been generated on the account, then the response will be null.

Last updated

Was this helpful?